/*=== Copyright (c) 2000 Sollae Systems Co.,Ltd. ===*/
/*=============== All rights reserved ==============*/

/*
modification history:
04.Jun.2000 yyc  initial touch
*/

#include <sys/socket.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>

static unsigned char send_buf[1024];
static unsigned char recv_buf[1024];

void main(void)
{
	struct sockaddr_in target;
	int sockfd, len;

	/* formal sequence setting up TCP connection on UNIX */
	memset((void *)&target, 0, sizeof(target));
	target.sin_family      = AF_INET;
	target.sin_addr.s_addr = inet_addr("211.44.13.130"); /* ezTCP IP */
	target.sin_port        = htons(1470);                /* ezTCP TCP port */
	sockfd = socket(AF_INET, SOCK_STREAM, 0);
	if(connect(sockfd, (struct sockaddr *)&target, sizeof(target)) < 0)
	{
		perror("connect:");
		close(sockfd);
		return;
	}

	/* build string message */
	strcpy(send_buf, "T2S request message.");

	/* send message to ezTCP */
	send(sockfd, send_buf, strlen(send_buf), 0);

	/* recv loop-back message from ezTCP */
	len = recv(sockfd, recv_buf, 1024, 0);
	if(len < 0)
	{ /* errorneous condition detected while calling recv() system call */
		perror("recv:");
		close(sockfd);
		return;
	}
	recv_buf[len] = 0; /* attach C-style string terminator */

	/* show it */
	printf("sent message: %s\n", send_buf);
	printf("rcvd message: %s\n", recv_buf);
	close(sockfd);
}
